stunnel 5.44 build fails

Achim Gratz Stromeko@nexgo.de
Tue Jan 30 18:43:00 GMT 2018


Ken Brown writes:
> On 1/29/2018 3:32 PM, Andrew Schulman wrote:
>> Prior to stunnel 5.42, I could build stunnel in Cygport with no src_compile
>> function, just
>>
>> CYGCONF=--disable-fips
>>
>> Beginning with stunnel 5.42, the build fails with errors about "possibly
>> undefined macro" AC_MSG_NOTICE and AC_DEFINE:
>
> I don't know why this is happening, but...
>
>> configure.ac:9: error: version mismatch.  This is Automake 1.15.1,
>> configure.ac:9: but the definition used by this AM_INIT_AUTOMAKE
>> configure.ac:9: comes from Automake 1.15.  You should recreate
>> configure.ac:9: aclocal.m4 with aclocal and run automake again.

I think this is caused by a fix that Yaakov made that gets things out of
sync when you do a full reconf.  I've had the same problem with another
package and it's easily fixed by adding a specification for version 1.15
or lower as the minimum autmomake version in Makefile.am.  Most
Makefile.am already have some minimum version specified so they never
run into that particular problem.


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Samples for the Waldorf Blofeld:
http://Synth.Stromeko.net/Downloads.html#BlofeldSamplesExtra



More information about the Cygwin-apps mailing list